package com.github.itzilly.sbt

import net.minecraft.client.settings.KeyBinding
import net.minecraftforge.fml.client.registry.ClientRegistry
import org.lwjgl.input.Keyboard


object Keybinds {
    // Grotto Finder
    var searchGrotto: KeyBinding = KeyBinding("key.searchGrotto", Keyboard.KEY_Y, "key.categories.sbt")
    var clearGrotto: KeyBinding = KeyBinding("key.clearGrotto", Keyboard.KEY_X, "key.categories.sbt")

    // Route Builder
    var addRouteNode: KeyBinding = KeyBinding("key.addRouteNode", Keyboard.KEY_ADD, "key.categories.sbt")
    var removeLastNode: KeyBinding = KeyBinding("key.removeLastNode", Keyboard.KEY_MINUS, "key.categories.sbt")
    var finishRoute: KeyBinding = KeyBinding("key.finishRoute", Keyboard.KEY_F4, "key.categories.sbt")

    fun register() {
        ClientRegistry.registerKeyBinding(searchGrotto)
        ClientRegistry.registerKeyBinding(clearGrotto)

        ClientRegistry.registerKeyBinding(addRouteNode)
        ClientRegistry.registerKeyBinding(removeLastNode)
        ClientRegistry.registerKeyBinding(finishRoute)
    }
}